<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__wcm__debug_8h" kind="file" language="C++">
    <compoundname>cy_wcm_debug.h</compoundname>
    <includes local="yes">whd_debug.h</includes>
    <incdepgraph>
      <node id="4">
        <label>whd_debug.h</label>
      </node>
      <node id="3">
        <label>cy_wcm_debug.h</label>
        <link refid="cy__wcm__debug_8h" />
        <childnode refid="4" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy__wcm__debug_8h_1a1f2972fb5c5ddbd284bf2933b7c7cea0" kind="define" prot="public" static="no">
        <name>LIBS_WCM_INCLUDE_CY_WCM_DEBUG_H_</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="14" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="14" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1aa22d26766120d8cac7918ca2323bf06c" kind="define" prot="public" static="no">
        <name>CY_WCM_INFO</name>
        <param><defname>X</defname></param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="19" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="19" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1a5d31dabe747e2d4564a2ce74b06555da" kind="define" prot="public" static="no">
        <name>CY_WCM_DEBUG</name>
        <param><defname>X</defname></param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="25" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="25" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1adbd48f5495bcf68b2cf5e9010e541fe5" kind="define" prot="public" static="no">
        <name>CY_WCM_ERROR</name>
        <param><defname>X</defname></param>
        <initializer>printf X</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="27" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="27" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1ac4f6b4f0b0075fa481a367b5752eca63" kind="define" prot="public" static="no">
        <name>CY_WPS_INFO</name>
        <param><defname>args</defname></param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="31" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="31" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1aafd124e5cb46d677df815c2444ae97a7" kind="define" prot="public" static="no">
        <name>CY_WPS_ERROR</name>
        <param><defname>args</defname></param>
        <initializer>printf args</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="34" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="34" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1a9eb9b2c265f57973b897d7314be1f99f" kind="define" prot="public" static="no">
        <name>cy_wps_assert</name>
        <param><defname>error_string</defname></param>
        <param><defname>assertion</defname></param>
        <initializer>do { if (!(assertion) ){ WHD_TRIGGER_BREAKPOINT(); } } while (0)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="35" />
      </memberdef>
      <memberdef id="cy__wcm__debug_8h_1a9842b54d8a6e2fb2a6e1d34debfc928e" kind="define" prot="public" static="no">
        <name>CY_WPS_DEBUG</name>
        <param><defname>args</defname></param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" bodystart="39" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" line="39" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="5"><highlight class="normal" /><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="6"><highlight class="normal" /></codeline>
<codeline lineno="7"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="8"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="9"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"whd_debug.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />LIBS_WCM_INCLUDE_CY_WCM_DEBUG_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /><highlight class="preprocessor">#define<sp />LIBS_WCM_INCLUDE_CY_WCM_DEBUG_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />WCM_ENABLE_PRINT_INFO</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WCM_INFO(<sp />X<sp />)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />printf<sp />X</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WCM_INFO(<sp />X<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />WCM_ENABLE_PRINT_DEBUG</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WCM_DEBUG(<sp />X<sp />)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />printf<sp />X</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WCM_DEBUG(<sp />X<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WCM_ERROR(<sp />X<sp />)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />printf<sp />X</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />WPS_ENABLE_PRINT_INFO</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WPS_INFO(args)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />printf<sp />args</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WPS_INFO(args)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WPS_ERROR(args)<sp /><sp /><sp /><sp /><sp /><sp /><sp />printf<sp />args</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cy_wps_assert(error_string,<sp />assertion)<sp />do<sp />{<sp />if<sp />(!(assertion)<sp />){<sp />WHD_TRIGGER_BREAKPOINT();<sp />}<sp />}<sp />while<sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />WPS_ENABLE_PRINT_DEBUG</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WPS_DEBUG(args)<sp /><sp /><sp /><sp /><sp /><sp /><sp />printf<sp />args</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WPS_DEBUG(args)</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />LIBS_WCM_INCLUDE_CY_WCM_DEBUG_H_<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal">}<sp /></highlight><highlight class="comment">/*<sp />extern<sp />C<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_debug.h" />
  </compounddef>
</doxygen>